<div class="sample-inputs-results">
  <div class="main-content">
    <div class="main-content__leftside">
      <electric-sidebar-left
        [type]="'sample'"
        (callback)="selectItem($event)"
        [inputSamples]="sampleList"
        [wells]="wellList"
        [selected]="selectedItem"
        (reset)="reset()"
        (summary)="goToSummary()"
      ></electric-sidebar-left>
    </div>
    <!-- end /main-content__leftside -->
    <div class="main-content__rightside" perfectScrollbar>
      <div class="wrapAll">
        <div class="sample-results" *ngFor="let sample of samples">
          <electric-sample-inputs [data]="sample"></electric-sample-inputs>
          <electric-sample-output [data]="sample"></electric-sample-output>
        </div>
        <!-- end /sample-results -->
      </div>
      <!-- end #wrapAll -->
    </div>
    <!-- end /main-content__rightside -->
    <div class="content-loading" *ngIf="isLoading">
      <gng-spinner></gng-spinner>
    </div>
  </div>
  <!-- end /main-content -->
</div>
<!-- end /sample-inputs-results -->
